{{- range .Values.cron -}}
{{- $res := merge dict (.resources | default dict) $.Values.php.resources -}}
apiVersion: batch/v1beta1
kind: CronJob
metadata:
  name: {{ $.Values.app.env }}-cron-{{ .name }}
  labels:
{{ include "sfday.default_labels" $ | indent 4 }}
    tier: cron
    cron: {{ .name }}
spec:
  schedule: {{ .schedule | quote }}
  suspend: false
  successfulJobsHistoryLimit: 3
  jobTemplate:
    metadata:
      labels:
{{ include "sfday.default_labels" $ | indent 8 }}
        tier: cron
        cron: {{ .name }}
    spec:
      template:
        spec:
          restartPolicy: OnFailure
          imagePullSecrets:
          - name: "{{ $.Values.gitlabRegistrySecret }}"
          containers:
          - image: {{ $.Values.php.image }}:{{ $.Values.app.tag }}
            imagePullPolicy: Always
            name: {{ .name }}
            command:
{{ .script | toYaml | indent 14 }}
{{ include "sfday.resources" $res | indent 12 }}
            env:
{{ include "sfday.database.credentials" . | indent 14 }}
---
{{ end }}
